{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <h1>Chip Registration</h1>
      </div>
    </div>
  </div>

  {% if stage == "request" %}
    <div class="container">
      <div class="row align-items-center justify-content-center">
        <div class="col">
          <h4>Thank you for registering a new chip.</h4><br>
        </div>
        <div class="col">
          <center><a href="{{ url_for('register_api.register_chip') }}">Register an additional chip.</a></center>
        </div>
      </div>
    </div>
  {% else %}
    <div class="container">
          <p>  You can register a new chip using this form. Please login before you register a new chip. </p>

          {% if not nametext == _brank %}
          <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext }}</font></div></p>
          {% endif %}

          <font color=#ff0000 size=2">* Required</font>
          <form class="form-holizontal" role="form" method="post" action="register_chip" accept-charset="UTF-8">
                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="name">Chip name<font color=#ff0000>*</font></label>
                  <div class="col-md-10">
                    {% if stage == "input" %}
           		        <input type="text" class="form-control" value="{{ chipInfo[0] }}" placeholder="Chip name" name="chipinfo" id="name" required="required">
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ chipInfo[0] }}" name="chipinfo">
                      <p>{{ chipInfo[0] }}</p>
                    {% endif %}
           		    </div>
                  {% if not nametext2 == _brank %}
                    <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext2 }}</font></div></p>
                  {% endif %}
           		  </div>
          
                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="email">Chip type<font color=#ff0000>*</font></label>
                   <div class="col-md-10">
                    {% if stage == "input" %}
           		        <!--<input type="text" class="form-control" value="{{ chipInfo[1] }}" placeholder="Collection" name="chipinfo" id="name" required="required">-->
                      <select class="form-control" name="chipinfo" id="collection" required="required" value="{{ chipInfo[1] }}">
                        <option value="">*** choose chip type ***</option>
                        <option value="FE-I4B">FE-I4B</option>
                        <option value="RD53A">RD53A</option>
                      </select>
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ chipInfo[1] }}" name="chipinfo">
                      <p>{{ chipInfo[1] }}</p>
                    {% endif %}
            		    </div>
           		  </div>

                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="name">Chip ID<font color=#ff0000>*</font></label>
                  <div class="col-md-10">
                    {% if stage == "input" %}
           		        <input type="number" class="form-control" value="{{ chipInfo[2] }}" placeholder="Chip ID" name="chipinfo" id="name" required="required">
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ chipInfo[2] }}" name="chipinfo">
                      <p>{{ chipInfo[2] }}</p>
                    {% endif %}
           		    </div>
           		  </div>

                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="email">Registration site<font color=#ff0000>*</font></label>
                   <div class="col-md-10">
                    {% if stage == "input" %}
                      <select class="form-control" name="chipinfo" id="collection" required="required" value="{{ chipInfo[3] }}">
                        <option value="">*** choose registration site ***</option>
                        {% for address in Address %}
                          <option value="{{ address['institution'] }}">{{ address['institution'] }}</option>
                        {% endfor %}
                        <option value="other">other</option>
                      </select>
           		        <input type="text" class="form-control" value="{{ chipInfo[4] }}" placeholder="Registration site" name="chipinfo" id="name">
                      {% if not nametext3 == _brank %}
                        <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext3 }}</font></div></p>
                      {% endif %}
                      If you select "other" as registration site, please input the name of the site where this chip is located.
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ chipInfo[3] }}" name="chipinfo">
           		        <input type="hidden" value="{{ chipInfo[4] }}" name="chipinfo">
                      {% if not chipInfo[3] == 'other' %}
                        <p>{{ chipInfo[3] }}</p>
                      {% else %}
                        <p>{{ chipInfo[4] }}</p>
                      {% endif %}
                    {% endif %}
            		    </div>
           		  </div>

           		  <div class="form-group row align-items-center justify-content-center">
                  <div class="col-md-10">
                  {% if stage == "input" %}
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="confirm">Proceed</button>
                  {% elif stage == "confirm" %}
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="request">Create</button>
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="input">Back page</button>
                  {% endif %}
                  </div>
                </div>
          </form>
          
    </div>
  {% endif %}

{% endblock %}
